0xV3NOMx
Linux ip-172-26-7-228 5.4.0-1103-aws #111~18.04.1-Ubuntu SMP Tue May 23 20:04:10 UTC 2023 x86_64



Your IP : 18.191.68.112


Current Path : /proc/thread-self/root/var/lib/dpkg/info/
Upload File :
Current File : //proc/thread-self/root/var/lib/dpkg/info/python3.preinst

#! /bin/sh
set -e

# remove the python3 alternatives before installing our own python3 link

update-alternatives --auto /usr/bin/python3 >/dev/null 2>&1 || true

[ -L /usr/share/doc/python3/html ] || rm -rf /usr/share/doc/python3/html

case "$1" in
    upgrade)
	oldv=$(echo $2 | sed 's/^\(...\).*/\1/')
	if [ "$DEBIAN_FRONTEND" != noninteractive ]; then
	    echo "running python pre-rtupdate hooks for python3.6..."
	fi
	for hook in /usr/share/python3/runtime.d/*.rtupdate; do
	    [ -x $hook ] || continue
	    if ! $hook pre-rtupdate python$oldv python3.6; then
		hb=$(basename $hook .rtupdate)
		echo >&2 "error running python pre-rtupdate hook $hb"
		echo >&2 "running python failed-pre-rtupdate hook $hb"
		$hook failed-pre-rtupdate python$oldv python3.6
		errors=yes
		break
	    fi
	done
	[ -z "$errors" ] || exit 3
esac